Bug 150546 - odt file format not associated with oowriter in nautilus
odt file format not associated with oowriter in nautilus
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 23:51 EST by Jef Spaleta
Modified: 2013-03-05 22:42 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.15-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-09 11:33:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2005-03-07 23:51:03 EST
Description of problem:
New default file format for oowriter (odt) doesn't seem to have a file
association. As a result nautilus doesn't see oowriter as a default
canditate to open odt files in oowriter.  I'm hazy on how all this
mime crap actually works so this might not be the right place to file.
I see application/vnd.oasis.opendocument.text in the writer.desktop
file so I'm assuming that entry is suppose to do the deed and
associate writer to odt files.

Please instruct me on anything I need to specifically check on my
rawhide install.

I haven't checked the other oo apps yet with regard to whether the new
opendocument fileformats are being associated correctly in gnome. I
would assume they are also affected.


openoffice.org-writer-1.9.82-1


-jef
Comment 1 Caolan McNamara 2005-03-08 10:38:27 EST
caolanm->davidz: Can we add these new oasis standard mimetypes to
shared-mime-info

List at
http://framework.openoffice.org/documentation/mimetypes/mimetypes.html
Comment 2 David Zeuthen 2005-03-09 11:33:18 EST
This is also upstream bug 

 https://bugs.freedesktop.org/show_bug.cgi?id=2265

I've created a patch and added it there too. This patch will appear in
shared-mime-info-0.15-11 in Rawhide.
Comment 3 David Zeuthen 2005-03-09 11:37:06 EST
Btw, another bug is that Nautilus doesn't display the right icon - I believe
that is a bug with the OO.o 1.9 desktop file.
Comment 4 David Zeuthen 2005-03-09 12:24:31 EST
Actually, wrt what I said in comment 3, what needs to be done is teaching
gnome-icon-theme about the icons for the new mime types, e.g. there needs to be
gnome-mime-application-vnd.oasis.opendocument.text.png files and so forth.

I suggest opening a bug against gnome-icon-theme to fix this.

Note You need to log in before you can comment on or make changes to this bug.